libmspub::FillableShape Struct Reference documentation

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | List of all members
libmspub::FillableShape Struct Reference

`#include <Shapes.h>`

Inheritance diagram for libmspub::FillableShape:

## Public Member Functions
| FillableShape (MSPUBCollector *o)
void | setFill (Fill *fill)
Public Member Functions inherited from libmspub::Shape
| Shape (MSPUBCollector *o)
virtual void | output (librevenge::RVNGDrawingInterface *painter, Coordinate coord)
virtual | ~Shape ()

## Public Attributes
Fill * | m_fill
Public Attributes inherited from libmspub::Shape
librevenge::RVNGPropertyList | props
librevenge::RVNGPropertyList | graphicsProps

## Protected Member Functions
virtual librevenge::RVNGPropertyListVector | updateGraphicsProps ()
Protected Member Functions inherited from libmspub::Shape
virtual void | setCoordProps (Coordinate coord)
virtual void | write (librevenge::RVNGDrawingInterface *painter)=0
virtual librevenge::RVNGPropertyListVector | updateGraphicsProps ()
| Shape ()

## Private Member Functions
| FillableShape (const FillableShape &)
FillableShape & | operator= (const FillableShape &)

## Additional Inherited Members
Protected Attributes inherited from libmspub::Shape
MSPUBCollector * | owner

## Constructor & Destructor Documentation

## ◆ FillableShape() [1/2]

libmspub::FillableShape::FillableShape | ( | MSPUBCollector * | o | ) |
| inline

## ◆ FillableShape() [2/2]

libmspub::FillableShape::FillableShape | ( | const FillableShape & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

FillableShape & libmspub::FillableShape::operator= | ( | const FillableShape & |  | ) |
| private

## ◆ setFill()

void libmspub::FillableShape::setFill | ( | Fill * | fill | ) |

## ◆ updateGraphicsProps()

virtual librevenge::RVNGPropertyListVector libmspub::FillableShape::updateGraphicsProps | ( |  | ) |
| protectedvirtual

Reimplemented from libmspub::Shape.

Reimplemented in libmspub::GeometricShape.

## Member Data Documentation

## ◆ m_fill

Fill* libmspub::FillableShape::m_fill

The documentation for this struct was generated from the following file:

- Shapes.h